Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.registration
Interface RegistrationManager

All Superinterfaces:
  RegistrationPolicyChangeListener, RegistrationPropertyChangeListener

All Known Implementing Classes:
  RegistrationManagerImpl

    public interface RegistrationManager

extends RegistrationPropertyChangeListener, RegistrationPolicyChangeListener

Since:
  2.6
Version:
  $Revision: 8966 $
Author:
  Chris Laprun

Method Summary
`Consumer` | `addConsumerToGroupNamed(java.lang.String consumerName, java.lang.String groupName, boolean createGroupIfNeeded, boolean createConsumerIfNeeded)`
`Registration` | `addRegistrationTo(java.lang.String consumerName, java.util.Map registrationProperties, boolean createConsumerIfNeeded)`
`void` | `clear()`
`Consumer` | `createConsumer(java.lang.String name)`
`ConsumerGroup` | `createConsumerGroup(java.lang.String groupName)`
`Consumer` | `getConsumerByIdentity(java.lang.String identity)`
`Consumer` | `getConsumerFor(java.lang.String registrationHandle)`
`ConsumerGroup` | `getConsumerGroup(java.lang.String groupName)`
`java.util.Collection` | `getConsumerGroups()`
`java.util.Collection` | `getConsumers()`
`RegistrationPersistenceManager` | `getPersistenceManager()`
`RegistrationPolicy` | `getPolicy()`
`Registration` | `getRegistration(java.lang.String registrationHandle)`
`void` | `removeConsumer(Consumer consumer)`
`void` | `removeConsumer(java.lang.String identity)`
`void` | `removeConsumerGroup(ConsumerGroup group)`
`void` | `removeConsumerGroup(java.lang.String name)`
`void` | `removeRegistration(Registration registration)`
`void` | `removeRegistration(java.lang.String registrationHandle)`
`void` | `setPersistenceManager(RegistrationPersistenceManager persistenceManager)`
`void` | `setPolicy(RegistrationPolicy policy)`

Methods inherited from interface org.jboss.portal.registration.RegistrationPropertyChangeListener
`propertiesHaveChanged`

Methods inherited from interface org.jboss.portal.registration.RegistrationPolicyChangeListener
`policyUpdatedTo`

Method Detail

### getPolicy

    RegistrationPolicy getPolicy()

### setPolicy

    void setPolicy(RegistrationPolicy policy)

### getPersistenceManager

    RegistrationPersistenceManager getPersistenceManager()

### setPersistenceManager

    void setPersistenceManager(RegistrationPersistenceManager persistenceManager)

### addRegistrationTo

    Registration addRegistrationTo(java.lang.String consumerName,
                                   java.util.Map registrationProperties,
                                   boolean createConsumerIfNeeded)
                                   throws RegistrationException

  Throws:
    `RegistrationException`

### createConsumer

    Consumer createConsumer(java.lang.String name)
                            throws RegistrationException,
                                   InvalidConsumerDataException

  Throws:
    `RegistrationException`
    `InvalidConsumerDataException`

### addConsumerToGroupNamed

    Consumer addConsumerToGroupNamed(java.lang.String consumerName,
                                     java.lang.String groupName,
                                     boolean createGroupIfNeeded,
                                     boolean createConsumerIfNeeded)
                                     throws RegistrationException

  Throws:
    `RegistrationException`

### createConsumerGroup

    ConsumerGroup createConsumerGroup(java.lang.String groupName)
                                      throws RegistrationException

  Throws:
    `RegistrationException`

### removeConsumer

    void removeConsumer(java.lang.String identity)
                        throws RegistrationException,
                               NoSuchRegistrationException

  Throws:
    `RegistrationException`
    `NoSuchRegistrationException`

### removeConsumer

    void removeConsumer(Consumer consumer)
                        throws RegistrationException,
                               NoSuchRegistrationException

  Throws:
    `RegistrationException`
    `NoSuchRegistrationException`

### getConsumerByIdentity

    Consumer getConsumerByIdentity(java.lang.String identity)
                                   throws RegistrationException

  Throws:
    `RegistrationException`

### getConsumerFor

    Consumer getConsumerFor(java.lang.String registrationHandle)
                            throws RegistrationException

  Throws:
    `RegistrationException`

### getRegistration

    Registration getRegistration(java.lang.String registrationHandle)
                                 throws RegistrationException

  Throws:
    `RegistrationException`

### removeRegistration

    void removeRegistration(java.lang.String registrationHandle)
                            throws RegistrationException,
                                   NoSuchRegistrationException

  Throws:
    `RegistrationException`
    `NoSuchRegistrationException`

### removeRegistration

    void removeRegistration(Registration registration)
                            throws RegistrationException,
                                   NoSuchRegistrationException

  Throws:
    `RegistrationException`
    `NoSuchRegistrationException`

### getConsumerGroup

    ConsumerGroup getConsumerGroup(java.lang.String groupName)
                                   throws RegistrationException

  Throws:
    `RegistrationException`

### getConsumerGroups

    java.util.Collection getConsumerGroups()
                                           throws RegistrationException

  Throws:
    `RegistrationException`

### removeConsumerGroup

    void removeConsumerGroup(ConsumerGroup group)
                             throws RegistrationException

  Throws:
    `RegistrationException`

### removeConsumerGroup

    void removeConsumerGroup(java.lang.String name)
                             throws RegistrationException

  Throws:
    `RegistrationException`

### getConsumers

    java.util.Collection getConsumers()
                                      throws RegistrationException

  Throws:
    `RegistrationException`

### clear

    void clear()
               throws RegistrationException

  Throws:
    `RegistrationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD